import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

part 'custom_loading_widget.g.dart';

@ComponentCopyWithExtension()
class CustomLoadingWidget extends LoadingWidgetComponent
    with $CustomLoadingWidgetCWMixin {
  const CustomLoadingWidget({super.color, super.key});

  @override
  Widget build(BuildContext context) => Center(
        child: CircularProgressIndicator(
          color: color,
        ),
      );
}
